import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  * Raumplaner-Projekt mit Buttons
  *
  * @version 1.0 vom 03.05.2011
  * @author
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
    addWindowListener(new WindowAdapter(){
      public void windowClosing(WindowEvent e){
        Leinwand leinwand= Leinwand.gibLeinwand();
        leinwand.setzeSichtbarkeit(false);
        System.exit(0);
      }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(16, 16, 75, 25);
    jButton1.setText("Stuhl");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton2.setBounds(16, 56, 75, 25);
    jButton2.setText("Tisch");
    jButton2.setMargin(new Insets(2, 2, 2, 2));
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    cp.add(jButton2);
    jButton3.setBounds(112, 16, 171, 25);
    jButton3.setText("verschieben");
    jButton3.setMargin(new Insets(2, 2, 2, 2));
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3_ActionPerformed(evt);
      }
    });
    cp.add(jButton3);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    Stuhl stuhl = new Stuhl();
    stuhl.zeige();
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    Tisch tisch = new Tisch();
    tisch.zeige();
  }

  public void jButton3_ActionPerformed(ActionEvent evt) {
    // Problem : Wie bekomme ich Zugriff auf die erzeugten Objekte
    // Folgeproblem : Wo muss man sie speichern?
    JOptionPane.showMessageDialog(this, "Der Button macht noch nichts!");
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Raumplaner-Projekt mit Buttons");
  }
}
